Skip to main content
GET
/
v1
/
companies
/
{company-id}
/
managed_companies
/
{id}
Retrieve a single managed Company
curl --request GET \
  --url https://api.tread-horizon.com/v1/companies/{company-id}/managed_companies/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tread_id": "ABC123",
    "legal_name": "<string>",
    "company_type": "hauler",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "dba_name": "<string>",
    "tread_customer": true,
    "address": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "thoroughfare": "<string>",
      "premise": "<string>",
      "locality": "<string>",
      "administrative_area": "<string>",
      "postal_code": "<string>",
      "country": "US",
      "lat": "<string>",
      "lon": "<string>",
      "place_id": "<string>"
    },
    "stytch_organization_id": "<string>",
    "language": "en",
    "time_format": "12-hour",
    "date_format": "MM/DD/YYYY",
    "unit_of_distance": "mile",
    "system_of_measure": "imperial",
    "currency": "USD",
    "time_zone": "America/New_York",
    "primary_contact": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "<string>",
      "phone": "+18885551234"
    },
    "billing_contact": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "<string>",
      "phone": "+18885551234"
    },
    "logo_url": "<string>",
    "billing_status": "unpaid",
    "saas_billing_plan": "basic",
    "usage_status": "demo",
    "fuel_surcharge_percentage": "<string>",
    "auth_methods": [
      "sso"
    ],
    "auto_complete_order": true,
    "ai_review_loads": true,
    "site_radius": "<string>",
    "default_geofence_delay_seconds": 123,
    "parent_company": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "default_lat": "43.648947",
    "default_lon": "-79.389193"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

company-id
string<uuid>
required

Company ID

id
string<uuid>
required

Managed Company ID

Response

OK

data
Company-Read · object
required

Company model for reads.